

<div class="container-fluid">
    <div class="row">
      <div class="col-md-12 col-lg-9">
        <div class="map" style="width: 100%; height: 100vh;">
          <ya-map [center]="[55.159892, 61.402541]" [zoom]="12" (yaclick)="onClick($event)">
            <ya-geoobject *ngFor="let point of points" [feature]="point.feature" [options]="point.options"></ya-geoobject>
          </ya-map>
        </div>
      </div>
  
      <div class="col-md-12 col-lg-3">
        <ng-container *ngIf="showResult == false">
          <h3 class="text-center" style="padding-bottom: 20px; padding-top: 20px;">Управление</h3>
          <h5 class="text-center">Радиус окружности</h5>
          <div class="form-group d-flex">
            <input class="form-control" name="radius" [(ngModel)]="radius" (keyup.enter)="add_new_radius()"
              style="height: auto;">
            <div class="arrow__case">
              <button class="control__arrow" (click)="changeRadius('up');"><img class="control__arrow__image"
                  src="/assets/arrow_top.png" alt=""></button>
              <button class="control__arrow" (click)="changeRadius('down');"><img class="control__arrow__image"
                  src="/assets/arrow_bottom.png" alt=""></button>
            </div>
            <button class="control__button" (click)="add_new_radius()" style="margin-left: 20px;">Изменить</button>
          </div>
  
          <h5 class="text-center mt-4">Поиск</h5>
          <div class="form-group d-flex">
            <input class="form-control" name="search_value" [(ngModel)]="search_value" (keyup.enter)="add_new_radius()"
              placeholder="Введите запрос" style="height: auto;">
            <button class="control__button" (click)="search_this_text_value(); toggleSearchCase()"
              style="margin-left: 20px;">Искать</button>
          </div>
        </ng-container>
  
        <ng-container *ngIf="showResult == true">
          <div class="result__search">
            <div class="back__case text-center">
              <button class="back__case__button" style="align-items: center; margin-bottom: 10px;" (click)="toggleSearchCase()">Сбросить поиск</button>
            </div>
            <h5 class="result__search__title text-center">Результаты: <span>{{ points.length }}</span></h5>
            <div class="result__search__case" *ngFor="let item of json; let i = index" [ngClass]="{'blueC': param == false, 'greenC': param == true}">
              <ul id="{{i}}">
                <li><strong>Наименование:</strong> {{ item.properties.name }}</li>
                <li><strong>Категория предприятия:</strong> <span
                    *ngFor="let company of item.properties.CompanyMetaData.Categories"><br>{{ company.name }}</span></li>
                <li *ngIf="item.properties.CompanyMetaData.Phones != undefined"><strong>Телефон:</strong> {{ item.properties.CompanyMetaData.Phones[0].formatted }}</li>
                <li><strong>Адрес:</strong> {{ item.properties.CompanyMetaData.address }}</li>
                <li><button class="control__button">Показать на карте</button><button class="control__button_check" (click)="toggleCheckCase()"><img src="/assets/check.png" width="24" alt=""></button></li>
              </ul>
            </div>
          </div>
        </ng-container>
  
      </div>
    </div>
  </div>